Bug 1190882 - ceph is not built with yasm
Summary: ceph is not built with yasm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Boris Ranto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 21:06 UTC by Ken Dreyer (Red Hat)
Modified: 2015-03-29 04:34 UTC (History)
6 users (show)

Fixed In Version: ceph-0.87.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-29 04:24:47 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1190870 0 unspecified CLOSED ceph is not built with yasm 2021-02-22 00:41:40 UTC

Internal Links: 1190870

Description Ken Dreyer (Red Hat) 2015-02-09 21:06:49 UTC
yasm was initially disabled in Fedora's packaging in order to solve an SELinux issue (bug 1118504). Ceph v0.80.8 contains an upstream fix that should make a yasm build operate properly with SELinux.

Dan Mick, one of the upstream Ceph devs, mentioned that Fedora's non-assembly builds impact the CRC and erasure coding performance. So it would be ideal if we could re-enable yasm in the Fedora Ceph builds.

Rawhide has Ceph v0.87, and this upstream release did not include Dan's commit to allow yasm to work with SELinux. In other words, if we re-add yasm in Fedora's 0.87 package, we'll hit bug 1118504 again. We could wait for 0.87.1 to be released upstream, or we could include the stack-execute patch(es) that went into upstream's "giant" branch: https://github.com/ceph/ceph/pull/2963

Comment 1 Fedora Update System 2015-02-24 10:31:40 UTC
ceph-0.80.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ceph-0.80.8-1.fc20

Comment 2 Fedora Update System 2015-02-24 10:31:45 UTC
ceph-0.80.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ceph-0.80.8-1.fc21

Comment 3 Boris Ranto 2015-02-24 10:33:56 UTC
This still needs to be fixed in rawhide. I'm waiting for new giant (or even hammer) version for that.

Comment 4 Fedora Update System 2015-03-03 00:27:16 UTC
ceph-0.87.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ceph-0.87.1-1.fc22

Comment 5 Jaroslav Reznik 2015-03-03 17:18:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora Update System 2015-03-04 10:24:15 UTC
ceph-0.80.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-04 21:08:20 UTC
Package ceph-0.87.1-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ceph-0.87.1-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3111/ceph-0.87.1-1.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-03-29 04:24:47 UTC
ceph-0.87.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-29 04:34:49 UTC
ceph-0.80.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.